import request from '@/utils/request'

// 查询销方信息列表
export function listCompanyservice(query) {
  return request({
    url: '/system/companyservice/list',
    method: 'get',
    params: query
  })
}

// 查询销方信息详细
export function getCompanyservice(companyid) {
  return request({
    url: '/system/companyservice/' + companyid,
    method: 'get'
  })
}

// 新增销方信息
export function addCompanyservice(data) {
  return request({
    url: '/system/companyservice',
    method: 'post',
    data: data
  })
}

// 修改销方信息
export function updateCompanyservice(data) {
  return request({
    url: '/system/companyservice',
    method: 'put',
    data: data
  })
}

// 删除销方信息
export function delCompanyservice(companyid) {
  return request({
    url: '/system/companyservice/' + companyid,
    method: 'delete'
  })
}
